GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Enumerations | Functions
census.h File Reference
`#include <grpc/grpc.h>`

Go to the source code of this file.

## Data Structures
struct | census_stat

## Typedefs
typedef struct census_context | census_context

## Enumerations
enum | census_features { CENSUS_FEATURE_NONE = 0, CENSUS_FEATURE_TRACING = 1, CENSUS_FEATURE_STATS = 2, CENSUS_FEATURE_CPU = 4, CENSUS_FEATURE_ALL }

## Functions
int | census_initialize (int features)
| Shutdown and startup census subsystem. More...
void | census_shutdown (void)
int | census_supported (void)
| Return the features supported by the current census implementation (not all features will be available on all platforms). More...
int | census_enabled (void)
| Return the census features currently enabled. More...
size_t | census_context_serialize (const census_context *context, char *buffer, size_t buf_size)
int | census_context_deserialize (const char *buffer, census_context **context)
void | census_context_destroy (census_context *context)
void | census_record_stat (census_context *context, census_stat *stats, size_t nstats)

## Typedef Documentation

typedef struct census_context census_context

## Enumeration Type Documentation

enum census_features

Enumerator
CENSUS_FEATURE_NONE |
CENSUS_FEATURE_TRACING |
CENSUS_FEATURE_STATS |
CENSUS_FEATURE_CPU |
CENSUS_FEATURE_ALL |

## Function Documentation

int census_context_deserialize | ( | const char * | buffer,
|  | census_context ** | context
| ) |  |

void census_context_destroy | ( | census_context * | context | ) |

size_t census_context_serialize | ( | const census_context * | context,
|  | char * | buffer,
|  | size_t | buf_size
| ) |  |

int census_enabled | ( | void |  | ) |

Return the census features currently enabled.

int census_initialize | ( | int | features | ) |

Shutdown and startup census subsystem.

The 'features' argument should be the OR (|) of census_features values. If census fails to initialize, then census_initialize() will return a non-zero value. It is an error to call census_initialize() more than once (without an intervening census_shutdown()).

void census_record_stat | ( | census_context * | context,
|  | census_stat * | stats,
|  | size_t | nstats
| ) |  |

void census_shutdown | ( | void |  | ) |

int census_supported | ( | void |  | ) |

Return the features supported by the current census implementation (not all features will be available on all platforms).